読者です 読者をやめる 読者になる 読者になる

Catalyst::Plugin::Session => 0.06 に注意

Perl Catalyst

C::P::Session を 0.06 以降にバージョンアップするときは C::P::Session::State::* も一緒にバージョンアップすること。

なんの気なしに C::P::Session だけ更新したら動かなくなって (セッションが切れる)、結構悩んでしまった。特にエラーが出たりしないのが曲者。

Changes には書いてあるんだけど。

http://search.cpan.org/src/NUFFIN/Catalyst-Plugin-Session-0.10/Changes

0.06
- Change State plugin API to be pull oriented

http://search.cpan.org/src/NUFFIN/Catalyst-Plugin-Session-State-Cookie-0.04/Changes

0.04
- Depend on a higher version of C::P::Session

0.03
- updated for the new state API (get_session_id, set_session_id, etc)